image: golang:1.12.4-stretch

variables:
  GO111MODULE: 'on'
  EXEC_CONTAINER: 'false'

stages:
  - quality

test:
  stage: quality
  coverage: '/total:\s*\(statements\)\s*(\d*.\d*%)/'
  variables:
    POSTGRES_DB: 'form3'
    POSTGRES_USER: 'postgres'
    POSTGRES_PASSWORD: 'postgres'
    POSTGRES_HOST: 'postgres'
    TAGS: 'integration'
  services:
    - name: postgres:11.2
      alias: postgres
  script:
    - sed -i "s/localhost/postgres/g" cmd/server/server.toml
    - make test

linter:
  stage: quality
  image: golangci/golangci-lint:v1.16.0
  script:
    - make linter

'linter-vendor':
  stage: quality
  script:
    - make linter-vendor
